#Official language image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/python/tags/
image: python:3.8

variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

cache:
  paths:
    - .cache/pip
    - venv/

before_script:
  - python -V
  - pip install virtualenv
  - virtualenv venv
  - source venv/bin/activate
  - pip install -r requirements.txt


# different stages in the pipeline
stages:
  - Static Analysis
  - Test

#defines the job in Static Analysis
pylint:
  stage: Static Analysis
  script:
  - pylint app tests

mypy:
  stage: Static Analysis
  script:
  - pwd
  - ls -l
  - python -m mypy app tests

flake8:
  stage: Static Analysis
  script:
  - flake8 app tests

